#!/bin/bash -e

if [ ! -e MagiDoor ]; then
    git clone https://gitlab.com/magickabbs/MagiDoor.git
fi

cd MagiDoor
if [ -e build ]; then
    rm -rf build
fi
mkdir build
cd build
cmake ..
make
cd ../..

gcc -c report.c -o report.o
gcc -o report report.o -lsqlite3

gcc -c main.c -o main.o -I./MagiDoor/ `pkg-config --cflags lua-5.3` 
gcc -c interbbs2.c -o interbbs2.o 
gcc -c inih/ini.c -o inih/ini.o 
gcc -o GalacticDynasty main.o interbbs2.o inih/ini.o MagiDoor/build/libmdoor.a -lsqlite3 `pkg-config --libs lua-5.3`
